Index: tmp/org.txm.queryindex.rcp/.classpath
===================================================================
--- tmp/org.txm.queryindex.rcp/.classpath	(revision 2399)
+++ tmp/org.txm.queryindex.rcp/.classpath	(revision 2400)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.rcp.p2.ui/.classpath
===================================================================
--- tmp/org.txm.rcp.p2.ui/.classpath	(revision 2399)
+++ tmp/org.txm.rcp.p2.ui/.classpath	(revision 2400)
@@ -1,7 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
-	<classpathentry kind="src" path="src"/>
-	<classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins" />
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
Index: tmp/org.txm.searchengine.cqp.rcp/.classpath
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/.classpath	(revision 2399)
+++ tmp/org.txm.searchengine.cqp.rcp/.classpath	(revision 2400)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.specificities.rcp/.classpath
===================================================================
--- tmp/org.txm.specificities.rcp/.classpath	(revision 2399)
+++ tmp/org.txm.specificities.rcp/.classpath	(revision 2400)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.statsengine.core/.classpath
===================================================================
--- tmp/org.txm.statsengine.core/.classpath	(revision 2399)
+++ tmp/org.txm.statsengine.core/.classpath	(revision 2400)
@@ -1,12 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="src" path="res"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="src" path="res" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.rcp.about.fragment/.classpath
===================================================================
--- tmp/org.txm.rcp.about.fragment/.classpath	(revision 2399)
+++ tmp/org.txm.rcp.about.fragment/.classpath	(revision 2400)
@@ -1,7 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
-	<classpathentry kind="src" path="src"/>
-	<classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins" />
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPLexicon.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPLexicon.java	(revision 2399)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPLexicon.java	(revision 2400)
@@ -55,49 +55,50 @@
  * Represent a frequency list according to a {@link CQPCorpus} (or a.
  *
  * {@link Subcorpus}) and a {@link Property}.
+ * 
  * @author sloiseau
  */
 public class CQPLexicon {
-
-
+	
+	
 	/** The forms. */
 	private String[] forms;
-
+	
 	/** The freqs. */
 	private int[] freqs;
-
+	
 	/** The ids. */
 	private int[] ids;
-
+	
 	/** The number of tokens. */
 	int numberOfTokens = -1;
-
+	
 	/** The symbol. */
 	private String symbol;
-
+	
 	/** The writer. */
 	private OutputStreamWriter writer;
-
+	
 	/**
 	 * The property.
 	 */
 	protected Property pProperty;
-
+	
 	private CQPCorpus corpus;
 	
 	/**
 	 * @param corpus
 	 */
-	public CQPLexicon(CQPCorpus corpus)	{
+	public CQPLexicon(CQPCorpus corpus) {
 		this.corpus = corpus;
 	}
-
+	
 	public boolean _compute() throws Exception {
 		if (this.getParent() instanceof MainCorpus) {
-			return computeWithMainCorpus((MainCorpus)this.getParent(), pProperty, null);
+			return computeWithMainCorpus((MainCorpus) this.getParent(), pProperty, null);
 		}
 		else if (this.getParent() instanceof Subcorpus) {
-			return computewithSubCorpus((Subcorpus)this.getParent(), pProperty, null);
+			return computewithSubCorpus((Subcorpus) this.getParent(), pProperty, null);
 		}
 		else {
 			Log.severe("Error: Lexicon parent is neither a Maincorpus nor a Subcorpus."); //$NON-NLS-1$
@@ -122,26 +123,28 @@
 		int lexiconSize;
 		try {
 			lexiconSize = CorpusManager.getCorpusManager().getCqiClient().lexiconSize(property.getQualifiedName());
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			throw new CqiClientException(e);
 		}
-
+		
 		int[] ids = new int[lexiconSize];
 		for (int i = 0; i < ids.length; i++) {
 			ids[i] = i;
 		}
-
+		
 		int[] freqs;
 		try {
 			freqs = CorpusManager.getCorpusManager().getCqiClient().id2Freq(property.getQualifiedName(), ids);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			throw new CqiClientException(e);
 		}
-
+		
 		this.init(corpus, property, freqs, ids);
 		return true;
 	}
-
+	
 	/**
 	 * 
 	 * @param corpus
@@ -151,44 +154,48 @@
 	 * @throws CqiClientException
 	 */
 	// FIXME: why this method needs to create and delete some new subcorpus???? the computing can't be done directly on the corpus argument???
-	// eg. dist = CorpusManager.getCorpusManager().getCqiClient().fdist1(corpus.getQualifiedCqpId(), 0,	ICqiClient.CQI_CONST_FIELD_MATCH, property.getName());
+	// eg. dist = CorpusManager.getCorpusManager().getCqiClient().fdist1(corpus.getQualifiedCqpId(), 0, ICqiClient.CQI_CONST_FIELD_MATCH, property.getName());
 	protected boolean computewithSubCorpus(Subcorpus corpus, Property property, IProgressMonitor monitor) throws CqiClientException {
-
-		//System.out.println("not found");
-//		Log.finest(NLS.bind(IndexCoreMessages.computingTheLexiconOfSubcorpusP0, corpus.getName()));
-		//long start = System.currentTimeMillis();
+		
+		// System.out.println("not found");
+		// Log.finest(NLS.bind(IndexCoreMessages.computingTheLexiconOfSubcorpusP0, corpus.getName()));
+		// long start = System.currentTimeMillis();
 		int[][] fdist = null;
 		AbstractCqiClient cqi = CorpusManager.getCorpusManager().getCqiClient();
 		String tmp = "TMP" + CQPCorpus.getNextSubcorpusCounter();
-		String qtmp = corpus.getMainCorpus().getQualifiedCqpId()+":"+tmp;
+		String qtmp = corpus.getMainCorpus().getQualifiedCqpId() + ":" + tmp;
 		try {
-//			System.out.println("subcorpus: "+corpus.getQualifiedCqpId());
-//			System.out.println("query subcorpus: "+qtmp);
+			// System.out.println("subcorpus: "+corpus.getQualifiedCqpId());
+			// System.out.println("query subcorpus: "+qtmp);
 			cqi.cqpQuery(corpus.getQualifiedCqpId(), tmp, "[]"); //$NON-NLS-1$
 			fdist = CorpusManager.getCorpusManager().getCqiClient().fdist1(qtmp, 0, ICqiClient.CQI_CONST_FIELD_MATCH, property.getName());
-			//System.out.println("nb lines: "+fdist.length);
-		} catch (Exception e) {
+			// System.out.println("nb lines: "+fdist.length);
+		}
+		catch (Exception e) {
 			throw new CqiClientException(e);
-		} finally {
+		}
+		finally {
 			try {
 				cqi.dropSubCorpus(qtmp);
-			} catch (IOException e) {
+			}
+			catch (IOException e) {
 				// TODO Auto-generated catch block
 				e.printStackTrace();
-			} catch (CqiServerError e) {
+			}
+			catch (CqiServerError e) {
 				// TODO Auto-generated catch block
 				e.printStackTrace();
 			}
 		}
 		int lexiconSize = fdist.length;
-
+		
 		int[] freqs = new int[lexiconSize];
 		int[] ids = new int[lexiconSize];
 		for (int i = 0; i < fdist.length; i++) {
 			ids[i] = fdist[i][0];
 			freqs[i] = fdist[i][1];
 		}
-
+		
 		init(corpus, property, freqs, ids);
 		return true;
 	}
@@ -204,7 +211,7 @@
 			// if (freqs[i] != 1) System.out.println(freqs[i]);
 		}
 	}
-
+	
 	/**
 	 * Dump lexicon forms and frequencies in a String.
 	 *
@@ -216,12 +223,13 @@
 		StringBuffer buffer = new StringBuffer();
 		getForms();
 		for (int i = 0; i < forms.length; i++) {
-			buffer.append(txt + forms[i].replace(txt, txt + txt) + txt + col + freqs[i] + "\n"); //$NON-NLS-1$ 
+			buffer.append(txt + forms[i].replace(txt, txt + txt) + txt + col + freqs[i] + "\n"); //$NON-NLS-1$
 		}
 		return buffer.toString();
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see java.lang.Object#equals(java.lang.Object)
 	 */
 	@Override
@@ -230,13 +238,13 @@
 			return false;
 		}
 		CQPLexicon other = (CQPLexicon) obj;
-
+		
 		if (other.nbrOfType() != this.nbrOfType()) {
 			return false;
 		}
 		return (Arrays.equals(freqs, other.getFreq()) && Arrays.equals(getForms(), other.getForms()));
 	}
-
+	
 	/**
 	 * The corpus or subcorpus this lexicon is build on.
 	 * 
@@ -245,31 +253,31 @@
 	public CQPCorpus getCorpus() {
 		return corpus;
 	}
-
-
+	
+	
 	public String getDetails() {
-			return this.getParent().getName() + " " + this.pProperty.getName(); //$NON-NLS-1$
+		return this.getParent().getName() + " " + this.pProperty.getName(); //$NON-NLS-1$
 	}
-
-	//TODO: move this into a Lexicon chart renderer
-	//	/**
-	//	 * Draw a pareto graphic with this frequency list and record it into the
-	//	 * provided filename into svg format.
-	//	 *
-	//	 * @param file where to save the pareto graphic.
-	//	 * @return the pareto graphic
-	//	 * @throws StatException if anything goes wrong.
-	//	 */
-	//	public void getParetoGraphic(File file) throws StatException {
-	//		String rName = asVector().getSymbol();
-	//		String expr = "pareto(" + rName + ")"; //$NON-NLS-1$ //$NON-NLS-2$
-	//		try {
-	//			RWorkspace.getRWorkspaceInstance().plot(file, expr, RDevice.SVG);
-	//		} catch (Exception e) {
-	//			throw new StatException(e);
-	//		}
-	//	}
-
+	
+	// TODO: move this into a Lexicon chart renderer
+	// /**
+	// * Draw a pareto graphic with this frequency list and record it into the
+	// * provided filename into svg format.
+	// *
+	// * @param file where to save the pareto graphic.
+	// * @return the pareto graphic
+	// * @throws StatException if anything goes wrong.
+	// */
+	// public void getParetoGraphic(File file) throws StatException {
+	// String rName = asVector().getSymbol();
+	// String expr = "pareto(" + rName + ")"; //$NON-NLS-1$ //$NON-NLS-2$
+	// try {
+	// RWorkspace.getRWorkspaceInstance().plot(file, expr, RDevice.SVG);
+	// } catch (Exception e) {
+	// throw new StatException(e);
+	// }
+	// }
+	
 	/**
 	 * The dif ferent types in the lexicon, the type at the index <code>j</code>
 	 * of this array have the frequency at index <code>j</code> in the array
@@ -279,19 +287,20 @@
 	 */
 	public String[] getForms() {
 		if (forms == null) {
-			if(ids == null) {
+			if (ids == null) {
 				return new String[0];
 			}
 			try {
 				forms = CorpusManager.getCorpusManager().getCqiClient().id2Str(pProperty.getQualifiedName(), ids);
-			} catch (Exception e) {
+			}
+			catch (Exception e) {
 				// TODO Auto-generated catch block
 				org.txm.utils.logger.Log.printStackTrace(e);
 			}
 		}
 		return forms;
 	}
-
+	
 	/**
 	 * The dif ferent types in the lexicon, the type at the index <code>j</code>
 	 * of this array have the frequency at index <code>j</code> in the array
@@ -301,7 +310,7 @@
 	 * @return types as an array of <code>String</code>
 	 */
 	public String[] getForms(int number) {
-		//System.out.println("Lexicon("+this.property+" get forms. number="+number+", ids len="+ids.length);
+		// System.out.println("Lexicon("+this.property+" get forms. number="+number+", ids len="+ids.length);
 		if (forms == null) {
 			try {
 				number = Math.min(number, ids.length);
@@ -311,12 +320,14 @@
 				int[] subpositions = new int[number];
 				System.arraycopy(ids, 0, subpositions, 0, number);
 				return CorpusManager.getCorpusManager().getCqiClient().id2Str(pProperty.getQualifiedName(), subpositions);
-			} catch (Exception e) {
+			}
+			catch (Exception e) {
 				// TODO Auto-generated catch block
 				org.txm.utils.logger.Log.printStackTrace(e);
 				return null;
 			}
-		} else {
+		}
+		else {
 			number = Math.min(number, ids.length);
 			if (number <= 0) {
 				return new String[0];
@@ -326,7 +337,7 @@
 			return subforms;
 		}
 	}
-
+	
 	/**
 	 * The dif ferent frequencies in the lexicon. See {@link #getForms()}.
 	 * 
@@ -335,7 +346,7 @@
 	public int[] getFreq() {
 		return freqs;
 	}
-
+	
 	/**
 	 * return the ids of the entries.
 	 *
@@ -344,16 +355,16 @@
 	public int[] getIds() {
 		return ids;
 	}
-
+	
 	public String getName() {
 		try {
-			return this.corpus.getSimpleName() + ": " + this.getSimpleName();	
+			return this.corpus.getSimpleName() + ": " + this.getSimpleName();
 		}
-		catch(Exception e) {
+		catch (Exception e) {
 		}
 		return ""; //$NON-NLS-1$
 	}
-
+	
 	/**
 	 * The property this lexicon is build on.
 	 * 
@@ -362,11 +373,11 @@
 	public Property getProperty() {
 		return pProperty;
 	}
-
+	
 	public String getSimpleName() {
-			return this.getProperty().getName();
+		return this.getProperty().getName();
 	}
-
+	
 	/**
 	 * Gets the symbol.
 	 *
@@ -375,33 +386,33 @@
 	public String getSymbol() {
 		return this.symbol;
 	}
-
+	
 	/**
 	 * Hack frequencies using a map to set forms and frequencies
 	 *
 	 * @param corpus the corpus
 	 * @param pProperty the property
 	 * @param map the map
-	 * {@link CQPCorpus#getLexicon(Property)} or
-	 * {@link Subcorpus#getLexicon(Property)}.
+	 *            {@link CQPCorpus#getLexicon(Property)} or
+	 *            {@link Subcorpus#getLexicon(Property)}.
 	 */
 	public boolean hack(Map<String, Integer> map) {
 		if (map.size() != forms.length) {
 			return false;
 		}
-
-		//super(corpus);
+		
+		// super(corpus);
 		int size = map.size();
 		int[] freqs = new int[size];
 		String[] forms = map.keySet().toArray(new String[] {});
 		for (int i = 0; i < forms.length; i++) {
 			freqs[i] = map.get(forms[i]);
 		}
-
+		
 		this.freqs = freqs;
 		return true;
 	}
-
+	
 	/**
 	 * Protected on purpose: should be accessed through others initializer.
 	 *
@@ -409,20 +420,20 @@
 	 * @param property the property
 	 * @param freq the freq
 	 * @param ids the ids
-	 * {@link CQPCorpus#getLexicon(Property)} or
-	 * {@link Subcorpus#getLexicon(Property)}.
+	 *            {@link CQPCorpus#getLexicon(Property)} or
+	 *            {@link Subcorpus#getLexicon(Property)}.
 	 */
 	protected void init(TXMResult corpus, Property property, int[] freq, int[] ids) {
 		if (freq.length != ids.length) {
-			throw new IllegalArgumentException("wrong size freq.length != ids.length "+freq.length+" != "+ids.length);
+			throw new IllegalArgumentException("wrong size freq.length != ids.length " + freq.length + " != " + ids.length);
 		}
 		this.freqs = freq;
 		this.ids = ids;
 		this.forms = getForms();
 		this.pProperty = property;
 	}
-
-
+	
+	
 	/**
 	 * Number of tokens (sum of all the frequencies) in the corpus.
 	 * 
@@ -434,8 +445,8 @@
 		}
 		return numberOfTokens;
 	}
-
-
+	
+	
 	/**
 	 * Number of different types in the frequency list.
 	 * 
@@ -449,22 +460,23 @@
 			return 0;
 		}
 	}
-
+	
 	public void setParameters(Property property) {
 		this.pProperty = property;
 	}
-
+	
 	public boolean setParameters(TXMParameters parameters) {
 		try {
 			Property p = (Property) parameters.get("properties");
 			this.setParameters(p);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			Log.printStackTrace(e);
 			return false;
 		}
 		return true;
 	}
-
+	
 	/**
 	 * Sets the symbol.
 	 *
@@ -473,13 +485,13 @@
 	public void setSymbol(String symbol) {
 		this.symbol = symbol;
 	}
-
-
+	
+	
 	@Override
 	public String toString() {
 		return this.getName();
 	}
-
+	
 	/**
 	 * To txt.
 	 *
@@ -495,49 +507,53 @@
 		// OutputStreamWriter writer;
 		try {
 			this.writer = new OutputStreamWriter(new FileOutputStream(outfile),
-					encoding); 
-		} catch (UnsupportedEncodingException e1) {
+					encoding);
+		}
+		catch (UnsupportedEncodingException e1) {
 			org.txm.utils.logger.Log.printStackTrace(e1);
 			return false;
-		} catch (FileNotFoundException e1) {
+		}
+		catch (FileNotFoundException e1) {
 			org.txm.utils.logger.Log.printStackTrace(e1);
 			return false;
 		}
-
+		
 		try {
 			writer.write(this.dump(colseparator, txtseparator));
 			writer.close();
-		} catch (IOException e) {
+		}
+		catch (IOException e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
 			return false;
 		}
-
+		
 		return true;
 	}
-
+	
 	/**
 	 * Sets the unit property.
+	 * 
 	 * @param property the unit property
 	 */
 	public void setProperty(Property property) {
 		this.pProperty = property;
 	}
-
 	
+	
 	public static CQPLexicon getLexicon(CQPCorpus corpus, Property property, IProgressMonitor monitor, boolean visible) throws Exception {
 		CQPLexicon lexicon = null;
 		
-		// recycling parent Lexicon if exists 
+		// recycling parent Lexicon if exists
 		ArrayList<CQPLexicon> partLexicons = (ArrayList<CQPLexicon>) corpus.getObjectCacheForClass(CQPLexicon.class);
 		for (int i = 0; i < partLexicons.size(); i++) {
-			if(partLexicons.get(i).getProperty() == property)	{
+			if (partLexicons.get(i).getProperty() == property) {
 				lexicon = partLexicons.get(i);
 				break;
 			}
 		}
 		
 		// creating new Lexicon
-		if(lexicon == null || !lexicon.getProperty().getFullName().equals(property.getFullName()))	{
+		if (lexicon == null || !lexicon.getProperty().getFullName().equals(property.getFullName())) {
 			lexicon = new CQPLexicon(corpus);
 			lexicon.setProperty(property);
 			lexicon._compute();
@@ -548,10 +564,11 @@
 		return lexicon;
 	}
 	
-
+	
 	/**
 	 * Gets a Lexicon from the specified corpus.
 	 * If a Lexicon child exists in the Corpus from the specified property, returns it otherwise creates and computes a new Lexicon.
+	 * 
 	 * @param corpus
 	 * @param property
 	 * @return
@@ -562,35 +579,35 @@
 	}
 	
 	
-//	/**
-//	 * Find or build a lexicon given a Corpus (MainCorpus or SubCorpus).
-//	 * 
-//	 * @param corpus
-//	 * @param property
-//	 * @return a Lexicon. May return null if the lexicon forms or freqs are null.
-//	 * @throws Exception 
-//	 */
-//	public static Lexicon getLexicon(Corpus corpus, Property property) throws Exception {
-//		HashSet<Object> results = corpus.getStoredData(Lexicon.class);
-//		for (Object result : results) {
-//			Lexicon lex = (Lexicon)result;
-//			if (lex.getProperty().equals(property)) {
-//				return lex;
-//			}
-//		}
-//
-//		Lexicon lex = new Lexicon(corpus);
-//		lex.setParameters(property);
-//		if (lex.compute(null) && lex.getForms() != null && lex.getFreq() != null) {
-//			corpus.storeData(lex);
-//			return lex;
-//		} else {
-//			return null;
-//		}
-//	}
-
+	// /**
+	// * Find or build a lexicon given a Corpus (MainCorpus or SubCorpus).
+	// *
+	// * @param corpus
+	// * @param property
+	// * @return a Lexicon. May return null if the lexicon forms or freqs are null.
+	// * @throws Exception
+	// */
+	// public static Lexicon getLexicon(Corpus corpus, Property property) throws Exception {
+	// HashSet<Object> results = corpus.getStoredData(Lexicon.class);
+	// for (Object result : results) {
+	// Lexicon lex = (Lexicon)result;
+	// if (lex.getProperty().equals(property)) {
+	// return lex;
+	// }
+	// }
+	//
+	// Lexicon lex = new Lexicon(corpus);
+	// lex.setParameters(property);
+	// if (lex.compute(null) && lex.getForms() != null && lex.getFreq() != null) {
+	// corpus.storeData(lex);
+	// return lex;
+	// } else {
+	// return null;
+	// }
+	// }
+	
 	public CQPCorpus getParent() {
 		return corpus;
-
+		
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.searchengine.cqp.core/.classpath
===================================================================
--- tmp/org.txm.searchengine.cqp.core/.classpath	(revision 2399)
+++ tmp/org.txm.searchengine.cqp.core/.classpath	(revision 2400)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.rcp/.classpath
===================================================================
--- tmp/org.txm.rcp/.classpath	(revision 2399)
+++ tmp/org.txm.rcp/.classpath	(revision 2400)
@@ -1,18 +1,22 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="src" path="src/main/java"/>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry exported="true"
-                   kind="con"
-                   path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry exported="true" kind="lib" path="lib/commons-cli-1.2.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/commons-lang-2.4.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/junit-4.5.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/log4j-1.2.12.jar"/>
-	  <classpathentry kind="lib" path="swing2swt.jar"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="src" path="src/main/java" />
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry exported="true" kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry exported="true" kind="lib"
+		path="lib/commons-cli-1.2.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/commons-lang-2.4.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/junit-4.5.jar" />
+	<classpathentry exported="true" kind="lib"
+		path="lib/log4j-1.2.12.jar" />
+	<classpathentry kind="lib" path="swing2swt.jar" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.specificities.core/.classpath
===================================================================
--- tmp/org.txm.specificities.core/.classpath	(revision 2399)
+++ tmp/org.txm.specificities.core/.classpath	(revision 2400)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.searchengine.core/.classpath
===================================================================
--- tmp/org.txm.searchengine.core/.classpath	(revision 2399)
+++ tmp/org.txm.searchengine.core/.classpath	(revision 2400)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.referencer.rcp/.classpath
===================================================================
--- tmp/org.txm.referencer.rcp/.classpath	(revision 2399)
+++ tmp/org.txm.referencer.rcp/.classpath	(revision 2400)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.referencer.core/.classpath
===================================================================
--- tmp/org.txm.referencer.core/.classpath	(revision 2399)
+++ tmp/org.txm.referencer.core/.classpath	(revision 2400)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
